// file: $USFS/class/usfs_eval/v1.0/imgev_dbg_0.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp_a: (input) file pointer to output the debug information
//  char_1* message_a: (input) a message explaining the error
//
// return: a logical_1 indicating status
//
logical_1 Image_eval::debug_cc(FILE* fp_a, char_1* message_a) {

  // dump internal data
  //
  fprintf(fp_a, "<%s::%s> debug_level_d = %ld\n", IMAGE_EVAL_CLASS_NAME,
	  (char*)message_a, debug_level_d);

  fprintf(fp_a, "<%s::%s> fatal_mode_d = %c\n", IMAGE_EVAL_CLASS_NAME,
	  (char*)message_a, fatal_mode_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}
